Name:           compizconfig-backend-gconf
Version:        0.7.7
Release:        5%{?dist}
Summary:        GConf backend for compizconfig
Vendor:         compiz-fusion repo
Packager:       Leigh Scott <leigh123linux@googlemail.com>
Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libcompizconfig-devel = %{version}, glib2-devel, GConf2-devel
BuildRequires:  intltool, libtool
#Requires: 

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64      

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the Gconf backend for libcompizconfig

%prep
%setup -q


%build
./autogen.sh   --program-prefix= \
	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--libdir=%{_libdir} \
	--libexecdir=/usr/libexec \
	--localstatedir=/var \
	--sharedstatedir=/usr/com \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
        --disable-static  
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/compizconfig/backends/libgconf.so


%changelog
* Tue Jun 10 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-5
- rebuild

* Mon Jun 9 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-4
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-3
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-2
- Cleanup spec file 

* Thu May 31 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-1
- 0.7.7 release

* Thu Apr 03 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.5-1
- 0.7.5 release

* Fri Mar 07 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.3-1
- 0.7.3 release

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- Initial package
