%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define debug_package %{nil}

Name:           fusion-icon
Version:        0.5
Release:        116%{dist}
Summary:        Compiz Fusion panel applet
Group:          User Interface/Desktops
License:        GPLv2+
Vendor:         compiz-fusion repo
Packager:       Leigh Scott <leigh123linux@googlemail.com>
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# git clone git://anongit.opencompositing.org/users/crdlb/fusion-icon fusion-icon-20071206
# tar -czvf fusion-icon-20071206.tar.gz fusion-icon-20071206

URL:            http://www.opencompositing.org
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-runpatch.patch
Patch1:         %{name}-removeshebangs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       ccsm %{name}-ui=%{version}-%{release}
BuildArch:      noarch
ExcludeArch:    ppc64

%description
The Compiz Fusion Icon is a simple panel applet for starting and controlling
Compiz Fusion. Upon launch, it will attempt to start Compiz Fusion
automatically. You may need to select a window decorator, if one does not
appear.

%package gtk
Requires:  pygtk2
Requires:  %{name} = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   GTK UI for fusion-icon
Provides:  %{name}-ui=%{version}-%{release}

%description gtk
This package provides the gtk UI for fusion-icon

%package qt
Requires:  PyQt4
Requires:  %{name} = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   QT UI for fusion-icon
Provides:  %{name}-ui=%{version}-%{release}

%description qt
This package provides the qt UI for fusion-icon

%package all
Requires:  %{name} = %{version}-%{release}
Requires:  %{name}-gtk = %{version}-%{release}
Requires:  %{name}-qt = %{version}-%{release}
Group:     User Interface/Desktops
Summary:   Metapackage to install all fusion-icon bits

%description all
Compiz is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Compiz Fusion is the merge of
Compiz and Beryl

Fusion-icon is a tray application to keep Compiz
up and running, switch window managers, decorators,
launch ccsm and the emerald theme tool.

This package will install all fusion-icon bits

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1 -p1 -b .removeshebangs

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="fedora"             \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/   \
  --delete-original                                \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/fusion-icon
%{_datadir}/applications/fedora-%{name}.desktop
%dir %{python_sitelib}/FusionIcon/
%{python_sitelib}/FusionIcon/*py*
%{python_sitelib}/fusion_icon-0.1.0-py2.5.egg-info
%{_datadir}/icons/hicolor/*/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg
%doc COPYING

%files gtk
%defattr(-,root,root,-)
%{python_sitelib}/FusionIcon/interface_gtk/

%files qt
%defattr(-,root,root,-)
%{python_sitelib}/FusionIcon/interface_qt4/

%files all
%defattr(-,root,root,-)

%changelog
* Tue Jun 10 2008 Leigh Scott <leigh123linux@googlemail.com> 0.5-116
- rebuild

* Mon Jun 9 2008 Leigh Scott <leigh123linux@googlemail.com> 0.5-115
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.5-114
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.5-113
- Cleanup spec file 

* Sun Jul 11 2007 Mohd Izhar Firdaus Bin Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.6.20070711git
- Splitted to 3 packages, fusion-icon, fusion-icon-gtk, fusion-icon-qt, and 1 metapackage, fusion-icon-all

* Sun Jul 05 2007 Mohd Izhar Firdaus Bin Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.3.20070703git
- Added gtk-update-icon-cache in post and postun

* Sun Jul 03 2007 Mohd Izhar Firdaus Bin Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.2.20070703git
- 20070703git

* Sun Jul 01 2007 Mohd Izhar Firdaus Bin Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.1.20070701git
- Initial RPM package

