Name:           libcompizconfig
Version:        0.7.7
Release:        5%{?dist}
Summary:        Configuration backend for compiz
Vendor:         compiz-fusion repo
Packager:       Leigh Scott <leigh123linux@googlemail.com>
Group:          System Environment/Libraries
License:        LGPLv2+ and GPLv2+
URL:            http://www.opencompositing.org/

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64
BuildRequires:  compiz-devel = %{version}, compiz-bcop = %{version}
BuildRequires:  libX11-devel, gettext, intltool
BuildRequires:  perl(XML::Parser)

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the library for plugins to configure compiz 
settings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} , pkgconfig , compiz-devel = %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
./autogen.sh   --program-prefix= \
	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--libdir=%{_libdir} \
	--libexecdir=/usr/libexec \
	--localstatedir=/var \
	--sharedstatedir=/usr/com \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
        --disable-static  
         
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS VERSION
%{_sysconfdir}/compizconfig/
%{_libdir}/libcompizconfig.so.0
%{_libdir}/libcompizconfig.so.0.0.0
%dir %{_datadir}/compizconfig/
%{_datadir}/compizconfig/global.xml
%{_datadir}/compiz/ccp.xml
%dir %{_libdir}/compizconfig/
%dir %{_libdir}/compizconfig/backends/
%{_libdir}/compizconfig/backends/libini.so
%{_libdir}/compiz/libccp.so




%files devel
%defattr(-,root,root,-)
%{_includedir}/compizconfig/ccs.h
%{_includedir}/compizconfig/ccs-backend.h
%{_libdir}/libcompizconfig.so
%{_libdir}/pkgconfig/libcompizconfig.pc


%changelog
* Tue Jun 10 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-5
- rebuild

* Mon Jun 9 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-4
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-3
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-2
- Cleanup spec file 

* Thu May 31 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-1
- 0.7.7 release

* Thu Apr 03 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.5-1
- 0.7.5 release

* Fri Mar 07 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.3-1
- 0.7.3 release

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

* Sun Jul 03 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.4.20070703git
- 20070703git

* Sun Jun 30 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.3.20070630git
- 20070630git

* Sun Jun 27 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.2.20070627git
- 20070627git

* Sun Jun 25 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.1.20070625git
- Fixed release numbering to follow Fedora guidelines

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs

