%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define name screenlets
%define version 0.1.2
# Don't create a debuginfo package since it would be empty
%define debug_package %{nil}


Name:             %name
Version:          %version
Release:          3%{?dist}
License:          GPLv2+
URL:              http://www.screenlets.org/
Summary:          OsX Like Dashboard
Group:            User Interface/Desktops
Vendor:           compiz-fusion repo
Packager:         Leigh Scott <leigh123linux@googlemail.com>
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source:           %name-%version.tar.bz2
Source1:          logo24.png
BuildRequires:    python-devel
BuildRequires:    desktop-file-utils
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Requires:         gnome-python2 
Requires:         pygtk2
Requires:         gnome-python2-rsvg
Requires:         pyxdg
Requires:         dbus-python
Requires:         gnome-python2-desktop
Requires:         gnome-python2-gnomekeyring
Requires:         python-imaging
Requires:         python-dateutil
Requires:         gnome-python2-extras
BuildArch:        noarch
ExcludeArch:      s390 s390x ppc64

%description
Screenlets are small owner-drawn applications (written in Python) 
that can be described as "the virtual representation of things 
lying/standing around on your desk". Sticknotes, clocks, rulers, ... 
the possibilities are endless

You need Compiz or Beryl to use screenlets

%prep
%setup -n %{name}
# Fix paths
grep -rl '/usr/local' * | xargs sed -i 's,/usr/local,%{_prefix},g'
# Fix dodgy desktop files
find -name *.desktop -exec sed -i 's/^\(Exec=.*\) >.*$/\1/' {} \;


%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT --prefix /usr


install -d %{buildroot}%{_datadir}/icons
install -m0644 desktop-menu/screenlets.svg %{buildroot}%{_datadir}/icons/screenlets.svg

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-manager.desktop


%post
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :


%postun
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :


%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root, 0755)
%doc CHANGELOG README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}d
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-manager
%{_bindir}/%{name}-packager
%dir %{_datadir}/%{name}
%{_datadir}/icons/%{name}.svg
%{python_sitelib}/%{name}*
%{_datadir}/%{name}-*
%{_datadir}/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/screenlets-manager.mo
%{_datadir}/locale/*/LC_MESSAGES/screenlets.mo
%{_datadir}/applications/fedora-%{name}-manager.desktop


%changelog
*Mon Jun 9  2008 leigh scott  <leigh123@linux.net> 0.1.2-3
-cleanup

*Sat May 31 2008 leigh scott  <leigh123@linux.net> 0.1.2-2
-bzr revision 441

*Sat May 03 2008 leigh scott  <leigh123@linux.net> 0.1.1-4
-bzr revision 317

*Fri Apr 25 2008 leigh scott  <leigh123@linux.net> 0.1.1-3
-bzr revision 293

*Wed Apr 16 2008 leigh scott  <leigh123@linux.net> 0.1.1-2
-bzr revision 267

*Thu Apr 10 2008 leigh scott  <leigh123@linux.net> 0.1.1-1
-bzr revision 263

*Fri Apr 04 2008 leigh scott  <leigh123@linux.net> 0.1-1
-bzr revision 258

*Fri Mar 08 2008 leigh scott  <leigh123@linux.net> 0.0.12-2
-change build to noarch

*Mon Feb 11 2008 leigh scott  <leigh123@linux.net> 0.0.12-1
-bump version 0.0.12
-made changes to spec
*Tue Nov 9 2007 Jack Deslippe <jdeslip@berkeley.edu> 0.0.10-1
-First Try Fedora 8
